<?php
/**
 * Plugin Theme Admin
 *
 * @package	PLX_Plugin
 * @version	1.0
 * @date	13/12/2010
 * @upsate  13/02/2013
 * @author	Frederic K.
 **/

class boldy_theme extends plxPlugin {

	public function __construct($default_lang) {

		# Appel du constructeur de la classe plxPlugin (obligatoire)
		parent::__construct($default_lang);
		
		# droits pour accder  la page config.php et admin.php du plugin
		$this->setConfigProfil(PROFIL_ADMIN);
		$this->setAdminProfil(PROFIL_ADMIN);

		$this->addHook('AdminMediasTop', 'AdminMediasTop');
		$this->addHook('AdminMediasPrepend', 'AdminMediasPrepend');	

		# Ajouts des hooks dans le thme
		$this->addHook('Twitter', 'Twitter'); 
		$this->addHook('Facebook', 'Facebook');
		$this->addHook('Linkedin', 'Linkedin');
		$this->addHook('Twitter_timeline', 'Twitter_timeline');
		$this->addHook('Email_contact', 'Email_contact');
		$this->addHook('Boldy_analytics', 'Boldy_analytics');
		$this->addHook('Boldy_actions_hide', 'Boldy_actions_hide');
		$this->addHook('Boldy_actions_btn', 'Boldy_actions_btn');
		$this->addHook('Boldy_clogo', 'Boldy_clogo');
		$this->addHook('Boldy_logo_alt', 'Boldy_logo_alt');
		$this->addHook('Boldy_footer_copyright', 'Boldy_footer_copyright');
	}

	public function AdminMediasTop() {

		echo '<?php
		$arr = array("Logo Thme" => array("boldy_theme_add" => "Ajouter au thme"));
		$selectionList = array_merge($selectionList, $arr);
		?>';

	}

	public function AdminMediasPrepend() {

		if(isset($_POST['selection']) AND ($_POST['selection'][0] == 'coinslider_add' OR $_POST['selection'][1] == 'coinslider_add') AND isset($_POST['idFile'])) {
			$this->coinslider->editSlides($_POST);
			header('Location: medias.php');
			exit;
		}

	}
	/**
	 * Mthode qui ajoute le lien twitter dans header.php
	 *
	 * @return	stdio
	 * @author	Frederic K.  
	 **/
	public function Twitter() {
       
       if($this->getParam('twitter')!='') {
        echo '<li><a href="http://twitter.com/'.$this->getParam('twitter').'" class="twitter" title="'.$this->getLang('L_JOIN_TWITTER').'"><img src="'.PLX_PLUGINS.'boldy_theme/img/ico_twitter.png" alt="'.$this->getLang('L_JOIN_TWITTER').'" /></a></li>';
       }
	}
	
	/**
	 * Mthode qui ajoute le lien facebook dans header.php
	 *
	 * @return	stdio
	 * @author	Frederic K.  
	 **/
	public function Facebook() {
       
       if($this->getParam('facebook_id')!='') {
        echo '<li><a href="http://www.facebook.com/profile.php?id='.$this->getParam('facebook_id').'" class="facebook" title="'.$this->getLang('L_JOIN_FACEBOOK').'"><img src="'.PLX_PLUGINS.'boldy_theme/img/ico_facebook.png" alt="'.$this->getLang('L_JOIN_FACEBOOK').'" /></a></li>';
       }
    }
	/**
	 * Mthode qui ajoute le lien linkedin dans header.php
	 *
	 * @return	stdio
	 * @author	Frederic K.  
	 **/
	public function Linkedin() {
       
       if($this->getParam('linkedin_id')!='') {
        echo '<li><a href="'.$this->getParam('linkedin_id').'" class="linkedin" title="'.$this->getLang('L_JOIN_LINKEDIN').'"><img src="'.PLX_PLUGINS.'boldy_theme/img/ico_linkedin.png" alt="'.$this->getLang('L_JOIN_LINKEDIN').'" /></a></li>';
       }	
	}	
	
	/**
	 * Mthode qui ajoute les derniers tweets dans footer.php
	 *
	 * @return	stdio
	 * @author	Frederic K.  
	 **/
	public function Twitter_timeline() {

       if($this->getParam('twitter_timeline')!='') {
        echo '	<div id="twitter">
					<a href="http://twitter.com/'.$this->getParam('twitter_timeline').'" class="action">'.$this->getLang('L_FOLLOW_US').'</a>
					<div id="latest">
						<div id="tweet">
							<div id="twitter_update_list"></div>
						</div>
						<div id="tweetBottom"></div>
					</div>
				</div>
				<script src="http://twitter.com/javascripts/blogger.js" type="text/javascript"></script>
				<script src="http://api.twitter.com/1/statuses/user_timeline.json?screen_name='.$this->getParam('twitter_timeline').'&amp;include_rts=1&amp;callback=twitterCallback2&amp;count=1" type="text/javascript"></script>';
       }
	}  
	
	/**
	 * Mthode qui ajoute le copyright dans footer.php
	 *
	 * @return	stdio
	 * @author	Frederic K.  
	 **/
	public function Boldy_footer_copyright() {

       if($this->getParam('boldy_footer_copyright')!='') {
        echo $this->getParam('boldy_footer_copyright');
       }
	}  	
	
	/**
	 * Mthode qui ajoute l'E-mail de contact dans footer.php
	 *
	 * @return	stdio
	 * @author	Frederic K.  
	 **/
	public function Email_contact() {
       
        echo $this->getParam('contact_email');	
	}
	
	/**
	 * Mthode qui ajoute l'E-mail de contact dans footer.php
	 *
	 * @return	stdio
	 * @author	Frederic K.  
	 **/
	public function Boldy_analytics() {
       
        echo '<script type="text/javascript">

      var _gaq = _gaq || [];
      _gaq.push([\'_setAccount\', \''.$this->getParam('analytics').'\']);
      _gaq.push([\'_trackPageview\']);

      (function() {
        var ga = document.createElement(\'script\'); ga.type = \'text/javascript\'; ga.async = true;
        ga.src = (\'https:\' == document.location.protocol ? \'https://ssl\' : \'http://www\') + \'.google-analytics.com/ga.js\';
        var s = document.getElementsByTagName(\'script\')[0]; s.parentNode.insertBefore(ga, s);
      })();

    </script>
  ';	
	}	
	
	/**
	 * Mthode qui afffiche ou non les derniers tweet et contact form dans footer.php
	 *
	 * @return	stdio
	 * @author	Frederic K.  
	 **/
	public function Boldy_actions_hide() {
	
       if($this->getParam('boldy_actions_hide')=='no') {
          echo ' style="display:none"';
       }	
	}	
	public function Boldy_actions_btn() {
	
       if($this->getParam('boldy_actions_hide')=='no') {
          echo ' style="background-position:0 -16px"';
       }	
	}
	/**
	 * Mthode qui ajoute le lien linkedin dans header.php
	 *
	 * @return	stdio
	 * @author	Frederic K.  
	 **/
	public function Boldy_clogo() {
       if($this->getParam('boldy_clogo')!='') {
          echo '<img src="'.PLX_ROOT.$this->getParam('boldy_clogo').'" alt="'.$this->getParam('boldy_logo_alt').'" />';
       } else { 
          global $plxShow;
          echo $plxShow->mainTitle();
	   }	 	
	}	
	
	/**
	 * Mthode qui ajoute le lien linkedin dans header.php
	 *
	 * @return	stdio
	 * @author	Frederic K.  
	 **/
	public function Boldy_logo_alt() {
       
        echo $this->getParam('boldy_logo_alt');	
	}		
			     

}
?>